Get Gift Card
curl --request GET \
--url https://ipos.dev.nowbookit.com/GiftCards/{cardNumber} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://ipos.dev.nowbookit.com/GiftCards/{cardNumber}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://ipos.dev.nowbookit.com/GiftCards/{cardNumber}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://ipos.dev.nowbookit.com/GiftCards/{cardNumber}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://ipos.dev.nowbookit.com/GiftCards/{cardNumber}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://ipos.dev.nowbookit.com/GiftCards/{cardNumber}")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://ipos.dev.nowbookit.com/GiftCards/{cardNumber}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"issuedDate": "2023-11-07T05:31:56Z",
"cardNumber": "<string>",
"expiryDate": "2023-11-07T05:31:56Z",
"amount": 123,
"remainingAmount": 123,
"status": "<string>",
"paymentType": "<string>",
"cardFormat": "<string>",
"experienceCardName": "<string>",
"experienceCardDetails": "<string>",
"purchaserFirstName": "<string>",
"purchaserLastName": "<string>",
"purchaserEmail": "<string>",
"recipientFirstName": "<string>",
"recipientLastName": "<string>",
"recipientEmail": "<string>"
}Gift Cards
GET /GiftCards/{cardNumber}
Retrieve a single gift card by its card number.
GET
/
GiftCards
/
{cardNumber}
Get Gift Card
curl --request GET \
--url https://ipos.dev.nowbookit.com/GiftCards/{cardNumber} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://ipos.dev.nowbookit.com/GiftCards/{cardNumber}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://ipos.dev.nowbookit.com/GiftCards/{cardNumber}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://ipos.dev.nowbookit.com/GiftCards/{cardNumber}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://ipos.dev.nowbookit.com/GiftCards/{cardNumber}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://ipos.dev.nowbookit.com/GiftCards/{cardNumber}")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://ipos.dev.nowbookit.com/GiftCards/{cardNumber}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"issuedDate": "2023-11-07T05:31:56Z",
"cardNumber": "<string>",
"expiryDate": "2023-11-07T05:31:56Z",
"amount": 123,
"remainingAmount": 123,
"status": "<string>",
"paymentType": "<string>",
"cardFormat": "<string>",
"experienceCardName": "<string>",
"experienceCardDetails": "<string>",
"purchaserFirstName": "<string>",
"purchaserLastName": "<string>",
"purchaserEmail": "<string>",
"recipientFirstName": "<string>",
"recipientLastName": "<string>",
"recipientEmail": "<string>"
}Retrieve a single gift card by its card number.
Returns a single GiftCard object. See
string
required
Your API key
string
required
Gift card number. Format:
XXXXX-XXXXXXXX-XXXXcurl --location '[BASE_URL]/GiftCards/ABCDE-12345678-WXYZ' \
--header 'X-API-KEY: your_api_key_here'
GET /GiftCards for full field descriptions.
Example 200 Response
{
"cardNumber": "ABCDE-12345678-WXYZ",
"issuedDate": "2024-01-10T09:00:00Z",
"expiryDate": "2025-01-10T09:00:00Z",
"amount": 100.00,
"remainingAmount": 75.00,
"status": "Active",
"paymentType": "Online",
"cardFormat": "EGiftCard",
"purchaserFirstName": "John",
"purchaserLastName": "Doe",
"purchaserEmail": "[email protected]",
"recipientFirstName": "Jane",
"recipientLastName": "Doe",
"recipientEmail": "[email protected]"
}
| Status | Description |
|---|---|
200 | Gift card returned |
400 | API key not associated with a venue |
400 | No Venue Subscribed to your App. |
401 | X-API-KEY missing or invalid |
404 | cardNumber — Card not found for this venue |
404 | gift card '{cardNumber}' not found. |
500 | Failed to retrieve card '{cardNumber}' details. |
Authorizations
Headers
API Key authentication header
Path Parameters
Response
OK
The Card Number printed on the GiftCard. Format: XXXXX-XXXXXXXX-XXXX
The Total Card balance (in decimal).
After Partial redeem(s) the remaining Card Balance (in decimal).
Options: Active, Cancelled, Redeemed, AwaitingPayment, PendingPostage, Expired
Options: InHouse, Online, Complimentary
Options: EGiftCard, PhysicalCard, ExperienceGiftCard, LSEGiftCard, LSExperienceGiftCard